"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Message_1 = require("./Message");
class JSONMessage extends Message_1.Message {
    getContent() {
        if (this.content instanceof Buffer) {
            return JSON.parse(this.content.toString());
        }
        else {
            return this.content;
        }
    }
    getSerializedContent() {
        return JSON.stringify(this.content);
    }
}
exports.JSONMessage = JSONMessage;
//# sourceMappingURL=JSONMessage.js.map