export declare abstract class Message {
    protected readonly content: any;
    private readonly uuid;
    private readonly descriptor;
    private readonly creationDate;
    private parentMessage;
    constructor(descriptor: string, content: any, id?: string, timestamp?: number, parentMessage?: string);
    getUUID(): string;
    getParentMessage(): string;
    abstract getContent(): any;
    abstract getSerializedContent(): string;
    getDescriptor(): string;
    getCreationDate(): Date;
    setParentMessage(parentMessageUUID: string): void;
}
