"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Mercury_1 = require("../Mercury");
exports.MessageHandler = (messageDescriptor) => {
    return (constructor) => {
        if (!Reflect.hasMetadata('messageBindings', Mercury_1.Mercury.prototype.constructor)) {
            Reflect.defineMetadata('messageBindings', new Map(), Mercury_1.Mercury.prototype.constructor);
        }
        const binding = Reflect.getMetadata('messageBindings', Mercury_1.Mercury.prototype.constructor);
        binding.set(messageDescriptor, constructor.name);
    };
};
//# sourceMappingURL=MessageHandler.js.map